%global minorversion 1.11
%global xfceversion 4.16
%global _hardened_build 1

Name:           xfce4-notes-plugin
Version:        1.11.0
Release:        1
Summary:        Notes plugin for the Xfce panel
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  unique-devel
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  gettext, intltool, desktop-file-utils

Requires:       xfce4-panel >= %{xfceversion}
Requires:       xfconf >= %{xfceversion}
Requires:       exo

%description
This plugin provides sticky notes for your desktop. You can create a note by 
clicking on the customizable icon with the middle button of your mouse, 
show/hide the notes using the left one, edit the titlebar, change the notes 
background color and much more.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

desktop-file-validate \
    $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
desktop-file-validate \
    $RPM_BUILD_ROOT/%{_datadir}/applications/xfce4-notes.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-popup-notes
%{_bindir}/xfce4-notes-settings
%{_libdir}/xfce4/panel/plugins/libnotes.so
%{_datadir}/applications/xfce4-notes.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/xfce4/notes/gtk-3.0/gtk.css

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 1.11.0-1
- Update to 1.11.0

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.9.0-1
- Update to 1.9.0

* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 1.8.1-1
- Init package
